Commit 600883cc616880fa0ab607828f4deabd67cfd252

Authored by samuel thibault
1 parent 2f6a158c

Bump java compatability to 1.6 and later

(Closes: Bug#893102)
debian/changelog
  1 +brltty (5.6-3) unstable; urgency=medium
  2 +
  3 + * debian/patches/41-java-bytecode-compat.patch: Bump java compatability to
  4 + 1.6 and later (Closes: Bug#893102).
  5 +
  6 + -- Samuel Thibault <sthibault@debian.org> Fri, 16 Mar 2018 15:20:39 +0100
  7 +
1 8 brltty (5.6-2) unstable; urgency=medium
2 9  
3 10 * debian/copyright: Fix licence terms.
... ...
debian/patches/41-java-bytecode-compat.patch
1 1 Description: Debian and Ubuntu contain multiple JRE implementations
2   - with a minimum compatiblity level of Java 1.5.
  2 + with a minimum compatiblity level of Java 1.6.
3 3 .
4 4 This patch ensures that the Java bytecode built by this package is
5   - compatible with all versions of Java from 1.5.
  5 + compatible with all versions of Java from 1.6.
6 6 Author: James Page <james.page@ubuntu.com>
7 7 Forwarded: no
8 8 Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/brltty/+bug/1049757
9 9 Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=688127
  10 +Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=893102
10 11  
11 12 --- a/Bindings/Java/bindings.m4
12 13 +++ b/Bindings/Java/bindings.m4
... ... @@ -14,7 +15,7 @@ Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=688127
14 15 JAVA_OK=true
15 16  
16 17 JAVA_ENCODING="UTF-8"
17   -+ JAVA_TARGET="-source 1.5 -target 1.5"
  18 ++ JAVA_TARGET="-source 1.6 -target 1.6"
18 19 case "${JAVAC_NAME}"
19 20 in
20 21 - javac) JAVAC_OPTIONS="-encoding ${JAVA_ENCODING}";;
... ...